<?php

class WactExamplesViewScopeTestCase extends Wact_Test_Case_Web {

    function testExists() {
        $this->assertTrue($this->get(
            $this->getTestServerUrl('/acceptance/view/scope.php')));

        $this->assertNormalPage();

        $this->assertWantedLiteral('<TD>{$Animal} = Rabbit</TD>');
        $this->assertWantedLiteral('<TD>{$^Animal} = Rabbit</TD>');
        $this->assertWantedLiteral('<TD>{$#Animal} = Rabbit</TD>');
        $this->assertWantedLiteral('<TD>{$Food} = Carrot</TD>');
        $this->assertWantedLiteral('<TD>{$^Food} = Carrot</TD>');
        $this->assertWantedLiteral('<TD>{$#Food} = Carrot</TD>');
        $this->assertWantedLiteral('<TD>{$Animal} = Monkey</TD>');
        $this->assertWantedLiteral('<TD>{$^Animal} = Rabbit</TD>');
        $this->assertWantedLiteral('<TD>{$#Animal} = Rabbit</TD>');
        $this->assertWantedLiteral('<TD>{$Food} = Banana</TD>');
        $this->assertWantedLiteral('<TD>{$^Food} = Carrot</TD>');
        $this->assertWantedLiteral('<TD>{$#Food} = Carrot</TD>');
        $this->assertWantedLiteral('<TD>{$Animal} = Worm</TD>');
        $this->assertWantedLiteral('<TD>{$^Animal} = Monkey</TD>');
        $this->assertWantedLiteral('<TD>{$#Animal} = Rabbit</TD>');
        $this->assertWantedLiteral('<TD>{$Food} = Apple</TD>');
        $this->assertWantedLiteral('<TD>{$^Food} = Banana</TD>');
        $this->assertWantedLiteral('<TD>{$#Food} = Carrot</TD>');

    }

}

?>